| GET | /RestApi/ab-testing/tests |
|---|
export enum ABTestStatus
{
NotStarted = 'NotStarted',
Scheduled = 'Scheduled',
Active = 'Active',
Stopped = 'Stopped',
Ended = 'Ended',
}
export class GetABTests implements IABTestsFilter
{
public Skip?: number;
public Take?: number;
public OrderExpression: string;
public SearchText: string;
public Status?: ABTestStatus;
public MyTests: boolean;
public constructor(init?: Partial<GetABTests>) { (Object as any).assign(this, init); }
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/tests HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
Title: String,
Description: String,
StartDate: 0001-01-01,
StopDate: 0001-01-01,
Culture: String,
ReportUrl: String,
LastModified: 0001-01-01,
Status: NotStarted,
Owner: String,
WinnerVariationId: 00000000-0000-0000-0000-000000000000,
SelectedVariationId: 00000000-0000-0000-0000-000000000000,
PageNodeErrorMessage: String,
WarningMessage: String,
ApiKey: String,
UserSegmentId: 00000000-0000-0000-0000-000000000000
}
]